Get Agent
curl --request GET \
--url https://api.getoutbox.ai/agent/{agent_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.getoutbox.ai/agent/{agent_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.getoutbox.ai/agent/{agent_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "chatbot",
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"builtin_key": "<string>",
"display_name": "<string>",
"url": "<string>",
"mcp_tool": "<string>",
"method": "<string>",
"auth_token": "<string>",
"is_async": true,
"is_success": true,
"is_prerun": true,
"is_postrun": true,
"config": {},
"icon_url": "<string>",
"application_icon_url": "<string>",
"messages": [
{
"type": "<string>",
"content": "<string>"
}
],
"schema": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"required": true
}
]
}
],
"files": [
{
"id": "<string>",
"name": "<string>",
"file": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"platforms": [
{
"id": "<string>",
"platform": "<string>",
"min_delay": 123,
"max_delay": 123,
"trigger": "<string>",
"active": true
}
],
"prompt": "<string>",
"model": "gpt-4.1",
"first_message": "<string>",
"auto_follow_up_prompt": "<string>",
"advanced": {
"timezone": "<string>",
"interrupt_mode": true,
"branding_colour": "<string>"
}
}Agent Endpoints
Get Agent
Retrieve agent details including configuration, tools, files, and platform integrations
GET
/
agent
/
{agent_id}
/
Get Agent
Authorizations
Company API Key
Path Parameters
The ID of the agent to retrieve
Response
Agent details retrieved successfully
- Chat Agent
- Voice Agent
Unique identifier for the agent
Name of the agent
Agent type discriminator
Available options:
chatbot Tools attached to the agent
Show child attributes
Show child attributes
Knowledge base files attached to the agent
Show child attributes
Show child attributes
Messaging channels and triggers this chat agent responds to
Show child attributes
Show child attributes
Chat agent prompt
Chat model name (defaults to gpt-4.1 if empty)
First message shown in supported chat surfaces
How/when to automatically follow up if a chat goes quiet
Chat agent advanced settings
Show child attributes
Show child attributes
⌘I

